Subject: Re: GNU emacs 21.2-5 packages available
From: Pavel Holejsovsky <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 16 Aug 2002 16:13:45 +0200

> There is a minor problem with the X11 version recognizing when
> subprocesses have terminated, which I will investigate eventually.

This problem is quite annoying. I already tried to investigate, and it 
seems to me that occasionally SIGCHLD signal is NOT delivered to emacs 
when the child process terminates. I tried to continue a little bit, but 
got lost very quickly in cygwin's signal implementation (hey, that's 
*really* complicated code). I tried strace and the only thing which 
caught my eyes were these lines:

    33 40372399 [sig] emacs 16900 wait_sig: processing signal 20
   389 40372788 [sig] emacs 16900 wait_sig: Got signal 20
    48 40372836 [sig] emacs 16900 sig_handle: signal 20
    32 40372868 [sig] emacs 16900 sig_handle: signal 20, about to call 
0x201405D0
  3900 40376768 [sig] emacs 16900 setup_handler: couldn't send signal 20
   115 40376883 [sig] emacs 16900 setup_handler: good.  Didn't suspend 
main thread, th 0x0
    35 40376918 [sig] emacs 16900 setup_handler: returning 0
    31 40376949 [sig] emacs 16900 sig_handle: returning 0

Does anyone have an idea what could be wrong?

thanks
Pavel

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/